Get Deltas (Consolidated)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Reponse

FieldTypeDescription
contentListA list of Delta API Events.
lastBooleanIndicates if iteration over the list of products is complete if page is also provided.
firstBooleanIndicates if this is the first "page" if the page is also provided.
sizeIntegerNumber of products requested.
numberOfElementsIntegerNumber of products returned in this response.
totalPagesIntegerTotal number of pages.
totalElementsIntegerTotal number of products.

Delta Event

ParameterSub FieldTypeDescription
productIdIntegerThe unique numerical identifier assigned by Label Insight for identification purposes.
upcStringUPC of the product as listed on the package.
eventENUM (ADDED/MODIFIED/REMOVED)Indicates if a product has been added, removed, or modified.
timestampTimestampThe timestamp that this event occurred.
contentObjectThe JSON object containing the delta information
PATCHObjectDEPRECATED A JSON Patch (https://tools.ietf.org/html/rfc6902) object representing the exact changes on a product
PRODUCTObjectThe exact product at this time as it would be returned from the Data API
Query Params
date
required
Defaults to 0

Returns delta events ending at this date. Format yyyy-mm-dd. This field is required.

date
required

Returns delta events starting from this date. Format yyyy-mm-dd. This field is required.

int32
Defaults to 20

The number of delta events to return.

int32
Defaults to 0

The page number of the request. Default is 0.

string

The type of Delta content you are requesting. Valid options are: PATCH, PRODUCT. Both delta types are returned by default. PRODUCT: provides a copy of the product as it existed at the specific time the delta event occurred PATCH: (DEPRECATED) provides a JSON patch (https://tools.ietf.org/html/rfc6902) of the exact delta

Body Params
configurationKeys
array of strings

Configuration Keys provided by Label Insight

configurationKeys
Headers
string
required

API Key provided by Label Insight

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json